Package org.eclipse.compare.internal

# Class BinaryCompareViewer

java.lang.Object
org.eclipse.jface.viewers.Viewer
org.eclipse.compare.internal.AbstractViewer
org.eclipse.compare.internal.BinaryCompareViewer

All Implemented Interfaces:
  `IInputProvider`, `IInputSelectionProvider`, `ISelectionProvider`

public class BinaryCompareViewer extends AbstractViewer
A simple compare viewer for binary files. Shows the position of the first non-matching byte.

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

## Constructor Summary

Constructors
Constructor
Description
`BinaryCompareViewer(Composite parent, CompareConfiguration cc)`

## Method Summary

Modifier and Type
Method
Description
`Control`
`getControl()`
Returns the primary control associated with this viewer.
`Object`
`getInput()`
Returns the input.
`void`
`setInput(Object input)`
Sets or clears the input for this viewer.

### Methods inherited from class org.eclipse.compare.internal.AbstractViewer

`getSelection, refresh, setSelection`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, inputChanged, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BinaryCompareViewer

public BinaryCompareViewer(Composite parent, CompareConfiguration cc)

## Method Details

### getControl

public Control getControl()
Description copied from class: `Viewer`
Returns the primary control associated with this viewer.

Specified by:
  `getControl` in class `Viewer`
Returns:
  the SWT control which displays this viewer's content

### setInput

public void setInput(Object input)
Description copied from class: `Viewer`
Sets or clears the input for this viewer.

Overrides:
  `setInput` in class `AbstractViewer`
Parameters:
  `input` - the input of this viewer, or `null` if none

### getInput

public Object getInput()
Description copied from interface: `IInputProvider`
Returns the input.

Specified by:
  `getInput` in interface `IInputProvider`
Overrides:
  `getInput` in class `AbstractViewer`
Returns:
  the input object